Package: org.codehaus.groovy.transform.stc

## [Java] Class AbstractExtensionMethodCache

- org.codehaus.groovy.transform.stc.AbstractExtensionMethodCache

-     public abstract class AbstractExtensionMethodCache
      extends Object

  Since:
    3.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected abstract void` | `addAdditionalClassesToScan(Set<Class> instanceExtClasses, Set<Class> staticExtClasses)`
    `` | `public Map<String, List<MethodNode>>` | `get(ClassLoader loader)`
    `` | `protected abstract String` | `getDisablePropertyName()`
    `` | `protected abstract Predicate<MethodNode>` | `getMethodFilter()`
    `` | `protected abstract Function<MethodNode, String>` | `getMethodMapper()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### protected abstract void addAdditionalClassesToScan(Set<Class> instanceExtClasses, Set<Class> staticExtClasses)

    - #### public Map<String, List<MethodNode>> get(ClassLoader loader)

    - #### protected abstract String getDisablePropertyName()

    - #### protected abstract Predicate<MethodNode> getMethodFilter()

    - #### protected abstract Function<MethodNode, String> getMethodMapper()